Documentation Index

Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt

Use this file to discover all available pages before exploring further.

Executes an administrative command based on the provided parameters.

Prev Next
Post
/api/v{version}/admin/runcommand

This method is intended for administrative use and requires appropriate permissions. The command execution is dependent on the provided parameters and the services injected into the method.

Security
OAuth

Authorization using OAuth2 with Client Credentials

FlowClient Credentials
Authorization URLhttps://identity.eu01.grassfish.com/connect/authorize
Token URLhttps://identity.eu01.grassfish.com/connect/token
Header parameters
x-correlationToken
string
x-clientId
string

The external client ID for identifying the client.

Min length0
Max length128
x-onBehalfOf
string
Min length0
Max length24
api-version
string
Path parameters
version
stringRequired
Body parameters

The parameters that define the command to be executed.

object

Represents the parameters required to execute a command in the system.

commandName
string | null

The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities.

manuallyForced
boolean

Indicating whether the operation was manually forced. Default is false.

entityNames
Array of string | null

Restricts the command to specific entities. If not provided, the command will apply to all entities.

string
key
string | null

The unique identifier of the entity to which the command applies.

Min length0
Max length22
subType
string | null

The subtype of the entity to which the command applies. Only used for the requestentities command.

clientCode
string | null

The client code for which the command is executed.

Min length0
Max length22
mediaType
string
Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ]
object

Represents the parameters required to execute a command in the system.

commandName
string | null

The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities.

manuallyForced
boolean

Indicating whether the operation was manually forced. Default is false.

entityNames
Array of string | null

Restricts the command to specific entities. If not provided, the command will apply to all entities.

string
key
string | null

The unique identifier of the entity to which the command applies.

Min length0
Max length22
subType
string | null

The subtype of the entity to which the command applies. Only used for the requestentities command.

clientCode
string | null

The client code for which the command is executed.

Min length0
Max length22
mediaType
string
Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ]
object

Represents the parameters required to execute a command in the system.

commandName
string | null

The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities.

manuallyForced
boolean

Indicating whether the operation was manually forced. Default is false.

entityNames
Array of string | null

Restricts the command to specific entities. If not provided, the command will apply to all entities.

string
key
string | null

The unique identifier of the entity to which the command applies.

Min length0
Max length22
subType
string | null

The subtype of the entity to which the command applies. Only used for the requestentities command.

clientCode
string | null

The client code for which the command is executed.

Min length0
Max length22
mediaType
string
Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ]
Responses
200

OK

Expand All
object

Returns the result of a command execution.

success
object (Contracts.Common.Jsons.Common.SuccessJson)
ok
boolean
message
string | null
unauthorizedAccess
boolean | null
notFound
boolean | null
correlationToken
string | null
errors
Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null
object
message
string | null
id
string
Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ]
fieldName
string | null
isRequired
boolean | null
isOutOfRange
boolean | null
isTaken
boolean | null
errorCode
string | null
defaultDisplayMessage
string | null
errorCode
string | null
details
object (Contracts.Common.Jsons.Common.ErrorDetailsJson)
message
string | null
defaultDisplayMessage
string | null
Expand All
object

Returns the result of a command execution.

success
object (Contracts.Common.Jsons.Common.SuccessJson)
ok
boolean
message
string | null
unauthorizedAccess
boolean | null
notFound
boolean | null
correlationToken
string | null
errors
Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null
object
message
string | null
id
string
Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ]
fieldName
string | null
isRequired
boolean | null
isOutOfRange
boolean | null
isTaken
boolean | null
errorCode
string | null
defaultDisplayMessage
string | null
errorCode
string | null
details
object (Contracts.Common.Jsons.Common.ErrorDetailsJson)
message
string | null
defaultDisplayMessage
string | null
Expand All
object

Returns the result of a command execution.

success
object (Contracts.Common.Jsons.Common.SuccessJson)
ok
boolean
message
string | null
unauthorizedAccess
boolean | null
notFound
boolean | null
correlationToken
string | null
errors
Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null
object
message
string | null
id
string
Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ]
fieldName
string | null
isRequired
boolean | null
isOutOfRange
boolean | null
isTaken
boolean | null
errorCode
string | null
defaultDisplayMessage
string | null
errorCode
string | null
details
object (Contracts.Common.Jsons.Common.ErrorDetailsJson)
message
string | null
defaultDisplayMessage
string | null
400

Bad Request

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
401

Unauthorized

403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
500

Internal Server Error